package com.GreenDAO.esquema;
import de.greenrobot.daogenerator.DaoGenerator;
import de.greenrobot.daogenerator.Entity;
import de.greenrobot.daogenerator.Schema;

public class SoporteGreenDAO {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			Schema schema = new Schema(1,"com.GreenDAO.esquema");
            crearEntidad(schema);
            new DaoGenerator().generateAll(schema,"../ORM_GreenDAO/src"); 

        }catch (Exception ex)
        {
            System.out.println (ex.getMessage());
        }

	}
	
	private static void crearEntidad(Schema schema)
    {
        try {
        //Aadimos una tabla al Esquema o BD
        Entity autenticacion = schema.addEntity("Login");
        //Creamos un campo ID de tipo autonumrico
        autenticacion.addIdProperty();
        //Se aaden los campos Usuario y Password, que no admitirn valores nulos
        autenticacion.addStringProperty("Usuario").notNull();
        autenticacion.addStringProperty("Password").notNull();
        
    }catch (Exception ex)
            {
                System.out.println(ex.getMessage());
            }
    }

}
