package com.example.orm_greendao;

import android.app.Activity;
import android.content.Intent;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import com.GreenDAO.esquema.DaoMaster;
import com.GreenDAO.esquema.DaoMaster.DevOpenHelper;
import com.GreenDAO.esquema.DaoSession;

public class MainActivity extends Activity {

	private SQLiteDatabase db;
    private DaoMaster daoMaster;
    private DaoSession daoSession;
    private Button btnAceptar;
    private Button btnRegistrarse;
    private TextView txtUsuario;
    private TextView txtPassword;
    

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        
        btnAceptar = (Button)findViewById(R.id.btnRegistrar);
        btnRegistrarse = (Button)findViewById(R.id.btnRegistrarse);
        txtUsuario = (TextView)findViewById(R.id.txtUsuario);
        txtPassword = (TextView)findViewById(R.id.txtPassword);
        
        
    }
    
    public void iniciarSesion(View view)
    {
    	Toast.makeText(this, "Boton Aceptar", 2000).show();
    	Intent i = new Intent(this, InicioSesion.class );
        startActivity(i);
    }
    
    public void registrarCredenciales(View view)
    {
    	DevOpenHelper openHelper = new DaoMaster.DevOpenHelper(this, "Autenticacion", null);
        try{
        db = openHelper.getWritableDatabase();
        }catch(Exception ex)
        {
        	System.out.println(ex.getMessage());
        }
        daoMaster = new DaoMaster(db);
        daoSession = daoMaster.newSession();
    	
    	Toast.makeText(this, "Boton Registrar", 2000).show();
    	
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    
}
